<?php declare(strict_types=1);

/**
 * JTL Plugin
 * Copyright (C) 2011 - 2018 Andreas Petermann
 *
 * PHP version 7.3+
 *
 * @copyright css-umsetzung
 * @author Andreas Petermann <info@css-umsetzung.de>
 *
 */


namespace Plugin\css_gutschein;
use JTL\Shop;

global $plugin;


$smarty->assign('pUploadDir',$plugin->getPaths()->getAdminURL().'js/'.PUPLOADPATH.'/js/');
$smarty->assign('cssAdminURL', Shop::getURL(). '/' . \PFAD_ADMIN . 'plugin.php?kPlugin=' . $plugin->getID());

$js_arr = array(
	'<script src="'.$plugin->getPaths()->getAdminURL().'assets/js/'.PUPLOADPATH.'/js/plupload.full.min.js?v='.$plugin->getMeta()->getVersion().'"></script>',
	'<script src="'.$plugin->getPaths()->getAdminURL().'assets/js/'.PUPLOADPATH.'/js/jquery.ui.plupload/jquery.ui.plupload.js?v='.$plugin->getMeta()->getVersion().'"></script>',
	'<script src="'.$plugin->getPaths()->getAdminURL().'assets/js/admin.js?v='.$plugin->getMeta()->getVersion().'"></script>',
	'<script src="'.$plugin->getPaths()->getAdminURL().'assets/js/plugin.js?v='.$plugin->getMeta()->getVersion().'"></script>',
	'<script src="'.$plugin->getPaths()->getAdminURL().'assets/js/colorbox/jquery.colorbox-min.js?v='.$plugin->getMeta()->getVersion().'"></script>',
	'<script src="'.$plugin->getPaths()->getAdminURL().'assets/js/imgareaselect/jquery.imgareaselect.min.js?v='.$plugin->getMeta()->getVersion().'"></script>',
	'<script src="'.$plugin->getPaths()->getAdminURL().'assets/js/tinyColor.js?v='.$plugin->getMeta()->getVersion().'"></script>',
	'<script src="'.$plugin->getPaths()->getAdminURL().'assets/js/bootstrap-notify.min.js?v='.$plugin->getMeta()->getVersion().'"></script>',
	'<script src="'.$plugin->getPaths()->getAdminURL().'assets/js/jquery.sortable.min.js?v='.$plugin->getMeta()->getVersion().'"></script>',
	'<script src="'.$plugin->getPaths()->getAdminURL().'assets/js/jquery.fontface.js?v='.$plugin->getMeta()->getVersion().'"></script>',
	'<script src="'.$plugin->getPaths()->getAdminURL().'assets/js/chosen.jquery.js?v='.$plugin->getMeta()->getVersion().'"></script>',
	'<script src="'.$plugin->getPaths()->getAdminURL().'assets/js/bootstrap-colorpickersliders/dist/bootstrap.colorpickersliders.js?v='.$plugin->getMeta()->getVersion().'"></script>'
);

$css_arr = array(
	'<link rel="stylesheet" type="text/css" href="'.$plugin->getPaths()->getAdminURL().'assets/js/'.PUPLOADPATH.'/js/jquery.ui.plupload/css/jquery.ui.plupload.css?v='.$plugin->getMeta()->getVersion().'" media="screen">',
	'<link rel="stylesheet" type="text/css" href="'.$plugin->getPaths()->getAdminURL().'assets/css/admin.css?v='.$plugin->getMeta()->getVersion().'" media="screen">',
	'<link rel="stylesheet" type="text/css" href="'.$plugin->getPaths()->getAdminURL().'assets/css/plugin.css?v='.$plugin->getMeta()->getVersion().'" media="screen">',
	'<link rel="stylesheet" type="text/css" href="'.$plugin->getPaths()->getAdminURL().'assets/css/bootstrap-chosen.css?v='.$plugin->getMeta()->getVersion().'" media="screen">',
	'<link rel="stylesheet" type="text/css" href="'.$plugin->getPaths()->getAdminURL().'assets/js/bootstrap-colorpickersliders/dist/bootstrap.colorpickersliders.min.css?v='.$plugin->getMeta()->getVersion().'" media="screen">',
	'<link rel="stylesheet" type="text/css" href="'.$plugin->getPaths()->getAdminURL().'assets/js/colorbox/colorbox.css?v='.$plugin->getMeta()->getVersion().'" media="screen">',
	'<link rel="stylesheet" type="text/css" href="'.$plugin->getPaths()->getAdminURL().'assets/js/imgareaselect/css/imgareaselect-animated.css?v='.$plugin->getMeta()->getVersion().'" media="screen">',
);

$smarty->assign("admin_js",$smarty->getTemplateVars('admin_js').join('',$css_arr).join('',$js_arr));
