{if !empty($cHinweis)}<div class="alert alert-success">{$cHinweis}</div>{/if}
{if !empty($cError)}<div class="alert alert-danger">{$cError}</div>{/if}

<form method="post">
    {$jtl_token}
    {if !empty($kPlugin)}<input type="hidden" name="kPlugin" value="{$kPlugin}"/>{/if}
    {if !empty($PluginAdminURL)}<input type="hidden" name="PluginAdminMenu" id="PluginAdminMenu" value="{$PluginAdminURL}"/>{/if}
    <input type="hidden" name="cssAdminConfigAction" value="saveConfig" />

    {if !empty($Artikel) || 1}
    <fieldset class="border p-2 form-group">
        <legend class="w-auto">{__('Plugin Konfiguration')}</legend>

        <div class="input-group mb-3">
            <div class="input-group-prepend" >
                <span class="input-group-text" style="width:200px; white-space:normal; text-align:left">{__('Das Plugin ist')}</span>
            </div>
            <select id="pluginActive" name="pluginActive" class="form-control">
                <Option {if $pluginConfig->pluginActive=='Y'} selected {/if} value="Y">{__('Aktiviert')}</Option>

{*                <Option {if $pluginConfig->pluginActive=='A'} selected {/if} value="A">{__('nur für Admin sichtbar')}</Option> *}

                <Option {if $pluginConfig->pluginActive=='N'} selected {/if} value="N">{__('Deaktiviert')}</Option>
            </select>
            <div class="input-group-append">
                <span class="input-group-text">
                    <span data-html="true" data-toggle="tooltip" data-placement="left" title=""
                          data-original-title="{__('Hier legen Sie fest ob das Plugin aktiv ist.')}">
                        <span class="fas fa-info-circle fa-fw"></span>
                    </span>
               </span>
            </div>
        </div>

        <div class="input-group mb-3">
            <div class="input-group-prepend" >
                <span class="input-group-text" style="width:200px; white-space:normal; text-align:left">{__('Zugriffsberechtigung im Backend')}</span>
            </div>
            <div class="col-xs col-sd col-md" style="padding:0; border-radius:0;">
                <select id="access" name="access[]" class=" select2 custom-select" style="border-radius:0;" multiple>
                    {foreach from=$members item=member name="memberauswahl"}
                        <option value="{$member->kAdminlogin}" {if in_array($member->kAdminlogin,$pluginConfig->access)}selected="selected"{/if}>{$member->cName}</option>
                    {/foreach}
                </select></div>
            <div class="input-group-append">
                <span class="input-group-text">
                    <span data-html="true" data-toggle="tooltip" data-placement="left" title=""
                          data-original-title="{__('Bitte tragen Sie hier nur vertrauenswürdige Personen ein, da diese auch die Gutscheincodes einsehen könnten.')}">
                        <span class="fas fa-info-circle fa-fw"></span>
                    </span>
               </span>
            </div>
        </div>

        <div class="input-group mb-3">
            <div class="input-group-prepend" >
                <span class="input-group-text" style="width:200px; white-space:normal; text-align:left">{__('Steuerfreie Klasse (wichtig)')}</span>
            </div>
            <select id="kSteuerklasse" name="kSteuerklasse" class="form-control">
                <option value="0">{__('Bitte wählen')}</option>
                {foreach from=$taxClasses item=item }
                    <option {if $pluginConfig->kSteuerklasse == $item->kSteuerklasse} selected="selected" {/if} value="{$item->kSteuerklasse}">{$item->cName}</option>
                {/foreach}
            </select>
            <div class="input-group-append">
                <span class="input-group-text">
                    <span data-html="true" data-toggle="tooltip" data-placement="left" title=""
                          data-original-title="{__('Bitte tragen Sie hier die Steuerfreie Klasse ein.')}">
                        <span class="fas fa-info-circle fa-fw"></span>
                    </span>
               </span>
            </div>
        </div>


        <div class="input-group mb-3">
            <div class="input-group-prepend" >
                <span class="input-group-text" style="width:200px; white-space:normal; text-align:left">{__('Gutscheinposition aus der Positionsliste entfernen')}</span>
            </div>
            <select id="removeGSPos" name="removeGSPos" class="form-control">
                <Option {if $pluginConfig->removeGSPos=='Y'} selected {/if} value="Y">{__('Ja')}</Option>
                <Option {if $pluginConfig->removeGSPos=='N'} selected {/if} value="N">{__('Nein')}</Option>
            </select>
            <div class="input-group-append">
                <span class="input-group-text">
                    <span data-html="true" data-toggle="tooltip" data-placement="left" title=""
                          data-original-title="{__('Entfernt die Gutschein Position aus der Auflistung, Wenn die Position weiterhin angezeigt werden soll wird diese ohne Wert angezeigt.')}">
                        <span class="fas fa-info-circle fa-fw"></span>
                    </span>
               </span>
            </div>
        </div>

        <div class="input-group mb-3">
            <div class="input-group-prepend">
                <span class="input-group-text" style="width:200px; white-space:normal; text-align:left">{__('Empfänger E-Mail für Ausdruck')}</span>
            </div>
            <input type="text" name="shippingMail" class="form-control" value="{$pluginConfig->shippingMail}" placeholder="{__('max@mustermann.de')}">
            <div class="input-group-append">
                <span class="input-group-text">
                    <span data-html="true" data-toggle="tooltip" data-placement="left" title=""
                          data-original-title="{__('Tragen Sie hier den Empfänger ein der sich um den Ausdruck und versand kümmert.')}">
                        <span class="fas fa-info-circle fa-fw"></span>
                    </span>
               </span>
            </div>
        </div>

        <div class="input-group mb-3">
            <div class="input-group-prepend">
                <span class="input-group-text" style="width:200px; white-space:normal; text-align:left">{__('Kosten für Postversand je GS Netto')}</span>
            </div>
            <input type="text" name="shippingSurcharge" class="form-control" value="{$pluginConfig->shippingSurcharge}" placeholder="{__('0,00')}">
            <div class="input-group-append">
                <span class="input-group-text">
                    <span data-html="true" data-toggle="tooltip" data-placement="left" title=""
                          data-original-title="{__('Tragen Sie hier die Kosten ein, die je GS berechnet werden, der Wert wird anhand der Gutscheinmenge berechnet.')}">
                        <span class="fas fa-info-circle fa-fw"></span>
                    </span>
               </span>
            </div>
        </div>

        <div class="input-group mb-3">
            <div class="input-group-prepend" >
                <span class="input-group-text" style="width:200px; white-space:normal; text-align:left">{__('Steuerklasse für Postversand')}</span>
            </div>
            <select id="shippingVat" name="shippingVat" class="form-control">
                <option value="0">{__('Kein Postversand vorhanden')}</option>
                {foreach from=$taxClasses item=item }
                    <option {if $pluginConfig->shippingVat == $item->kSteuerklasse} selected="selected" {/if} value="{$item->kSteuerklasse}">{$item->cName}</option>
                {/foreach}
            </select>
            <div class="input-group-append">
                <span class="input-group-text">
                    <span data-html="true" data-toggle="tooltip" data-placement="left" title=""
                          data-original-title="{__('Bitte tragen Sie hier die zu berechnende Steuer ein.')}">
                        <span class="fas fa-info-circle fa-fw"></span>
                    </span>
               </span>
            </div>
        </div>


        <div class="input-group mb-3">
            <div class="input-group-prepend" >
                <span class="input-group-text" style="width:200px; white-space:normal; text-align:left">{__('Gutschein Rabattieren')}</span>
            </div>
            <input type="text" name="discount" class="form-control" value="{(float) $pluginConfig->discount}" placeholder="{__('0.00')}">

            <select id="discountType" name="discountType" class="form-control">
                    <option {if $pluginConfig->discountType == '%'} selected="selected" {/if} value="%">%</option>
                    <option {if $pluginConfig->discountType == 'B'} selected="selected" {/if} value="B">Betrag</option>
            </select>
            <div class="input-group-append">
                <span class="input-group-text">
                    <span data-html="true" data-toggle="tooltip" data-placement="left" title=""
                          data-original-title="{__('Tragen Sie hier optional eine Rabattierung für den GS ein.')}">
                        <span class="fas fa-info-circle fa-fw"></span>
                    </span>
               </span>
            </div>
        </div>
    </fieldset>


        <!-- ab hier kommen die individuellen Einstellungen -->
        <fieldset class="border p-2 form-group">
            <legend class="w-auto">{__('Artikel Konfiguration')}</legend>
            {if empty($Artikel)}
                <div class="alert alert-danger text-center">
                    Bitte geben Sie zuerst die Artikelnr. Ihres angelegten Gutscheinartikels ein, beachten Sie dabei die Gro&szlig;- und Kleinschreibung.
                </div>
            {/if}
            <div class="input-group mb-3">
                <div class="input-group-prepend">
                    <span class="input-group-text" style="width:200px; white-space:normal; text-align:left">{__('Artikelnummer')}</span>
                </div>
                <input type="text" name="voucherArtNumber" class="form-control" value="{$pluginConfig->voucherArtNumber}" placeholder="{__('GUTSCHEIN')}">
                <div class="input-group-append">
                <span class="input-group-text">
                    <span data-html="true" data-toggle="tooltip" data-placement="left" title=""
                          data-original-title="{__('Bitte geben Sie die Artikelnummer des Gutscheines ein.')}">
                        <span class="fas fa-info-circle fa-fw"></span>
                    </span>
               </span>
                </div>
            </div>
            {if !empty($Artikel)}
                <div class="input-group mb-3">
                    <div class="input-group-prepend" >
                        <span class="input-group-text" style="width:200px; white-space:normal; text-align:left">{__('Feld für den Betrag')}</span>
                    </div>
                    <select id="voucherPrice" name="voucherPrice" class="form-control">
                        <option value="0">{__('Bitte wählen')}</option>
                        {foreach from=$Artikel->Variationen item=variation }
                            <option {if $pluginConfig->voucherPrice == $variation->kEigenschaft} selected="selected" {/if} value="{$variation->kEigenschaft}">{$variation->cName}</option>
                        {/foreach}
                    </select>
                    <div class="input-group-append">
                <span class="input-group-text">
                    <span data-html="true" data-toggle="tooltip" data-placement="left" title=""
                          data-original-title="{__('Selektieren Sie bitte die Variante die f&uuml;r den gewünschten Betrag gedacht ist.')}">
                        <span class="fas fa-info-circle fa-fw"></span>
                    </span>
               </span>
                    </div>
                </div>

                <div class="input-group mb-3">
                    <div class="input-group-prepend" >
                        <span class="input-group-text" style="width:200px; white-space:normal; text-align:left">{__('Feld für den Grußtext')}</span>
                    </div>
                    <select id="voucherText" name="voucherText" class="form-control">
                        <option value="0">{__('Bitte wählen')}</option>
                        {foreach from=$Artikel->Variationen item=variation }
                            <option {if $pluginConfig->voucherText == $variation->kEigenschaft} selected="selected" {/if} value="{$variation->kEigenschaft}">{$variation->cName}</option>
                        {/foreach}
                    </select>
                    <div class="input-group-append">
                <span class="input-group-text">
                    <span data-html="true" data-toggle="tooltip" data-placement="left" title=""
                          data-original-title="{__('Selektieren Sie bitte die Variante die f&uuml;r den gew&uuml;nschten Gru&szlig;text gedacht ist.')}">
                        <span class="fas fa-info-circle fa-fw"></span>
                    </span>
               </span>
                    </div>
                </div>

                <div class="input-group mb-3">
                    <div class="input-group-prepend" >
                        <span class="input-group-text" style="width:200px; white-space:normal; text-align:left">{__('Feld für Empfängername')}</span>
                    </div>
                    <select id="voucherName" name="voucherName" class="form-control">
                        <option value="0">{__('Bitte wählen')}</option>
                        {foreach from=$Artikel->Variationen item=variation }
                            <option {if $pluginConfig->voucherName == $variation->kEigenschaft} selected="selected" {/if} value="{$variation->kEigenschaft}">{$variation->cName}</option>
                        {/foreach}
                    </select>
                    <div class="input-group-append">
                <span class="input-group-text">
                    <span data-html="true" data-toggle="tooltip" data-placement="left" title=""
                          data-original-title="{__('Selektieren Sie bitte die Variante die f&uuml;r den gew&uuml;nschten Empf&auml;ngernamen gedacht ist.')}">
                        <span class="fas fa-info-circle fa-fw"></span>
                    </span>
               </span>
                    </div>
                </div>

                <div class="input-group mb-3">
                    <div class="input-group-prepend" >
                        <span class="input-group-text" style="width:200px; white-space:normal; text-align:left">{__('Feld für Empfänger E-Mail')}</span>
                    </div>
                    <select id="voucherMail" name="voucherMail" class="form-control">
                        <option value="0">{__('Bitte wählen')}</option>
                        {foreach from=$Artikel->Variationen item=variation }
                            <option {if $pluginConfig->voucherMail == $variation->kEigenschaft} selected="selected" {/if} value="{$variation->kEigenschaft}">{$variation->cName}</option>
                        {/foreach}
                    </select>
                    <div class="input-group-append">
                <span class="input-group-text">
                    <span data-html="true" data-toggle="tooltip" data-placement="left" title=""
                          data-original-title="{__('Selektieren Sie bitte die Variante die f&uuml;r den gew&uuml;nschten E-Mail Empf&auml;nger geacht ist.')}">
                        <span class="fas fa-info-circle fa-fw"></span>
                    </span>
               </span>
                    </div>
                </div>

                <div class="input-group mb-3">
                    <div class="input-group-prepend" >
                        <span class="input-group-text" style="width:200px; white-space:normal; text-align:left">{__('Feld für die Gutscheinvorlage')}</span>
                    </div>
                    <select id="voucherImage" name="voucherImage" class="form-control">
                        <option value="0">{__('Bitte wählen')}</option>
                        {foreach from=$Artikel->Variationen item=variation }
                            <option {if $pluginConfig->voucherImage == $variation->kEigenschaft} selected="selected" {/if} value="{$variation->kEigenschaft}">{$variation->cName}</option>
                        {/foreach}
                    </select>
                    <div class="input-group-append">
                <span class="input-group-text">
                    <span data-html="true" data-toggle="tooltip" data-placement="left" title=""
                          data-original-title="{__('Selektieren Sie bitte die Variante in der sp&auml;ter die Bild Id hinterlegt wird.')}">
                        <span class="fas fa-info-circle fa-fw"></span>
                    </span>
               </span>
                    </div>
                </div>

                <div class="input-group mb-3">
                    <div class="input-group-prepend" >
                        <span class="input-group-text" style="width:200px; white-space:normal; text-align:left">{__('Feld für das Versanddatum')}</span>
                    </div>
                    <select id="voucherTime" name="voucherTime" class="form-control">
                        <option value="0">{__('Bitte wählen')}</option>
                        {foreach from=$Artikel->Variationen item=variation }
                            <option {if $pluginConfig->voucherTime == $variation->kEigenschaft} selected="selected" {/if} value="{$variation->kEigenschaft}">{$variation->cName}</option>
                        {/foreach}
                    </select>
                    <div class="input-group-append">
                <span class="input-group-text">
                    <span data-html="true" data-toggle="tooltip" data-placement="left" title=""
                          data-original-title="{__('Selektieren Sie bitte die Variante die f&uuml;r das gew&uuml;nschte Versendungsdatum gedacht ist.')}">
                        <span class="fas fa-info-circle fa-fw"></span>
                    </span>
               </span>
                    </div>
                </div>
                <div class="input-group mb-3">
                    <div class="input-group-prepend" >
                        <span class="input-group-text" style="width:200px; white-space:normal; text-align:left">{__('Feld für den Postversand')}</span>
                    </div>
                    <select id="voucherPost" name="voucherPost" class="form-control">
                        <option value="0">{__('Bitte wählen')}</option>
                        {foreach from=$Artikel->Variationen item=variation }
                            <option {if $pluginConfig->voucherPost == $variation->kEigenschaft} selected="selected" {/if} value="{$variation->kEigenschaft}">{$variation->cName}</option>
                        {/foreach}
                    </select>
                    <div class="input-group-append">
                <span class="input-group-text">
                    <span data-html="true" data-toggle="tooltip" data-placement="left" title=""
                          data-original-title="{__('Selektieren Sie bitte die Variante die f&uuml;r das gew&uuml;nschte Versendungsdatum gedacht ist.')}">
                        <span class="fas fa-info-circle fa-fw"></span>
                    </span>
               </span>
                    </div>
                </div>
            {/if}
        </fieldset>


        <fieldset class="border p-2 form-group">
            <legend class="w-auto">{__('Worker Konfiguration')}</legend>
        <div class="alert alert-warning" style="margin-bottom:0px;">
            Wenn Sie keinen st&auml;ndigen Workerablgeich eingerichtet haben nutzen Sie bitte die Option des Cronjobs. Es wird empfohlen den Cronjob jede Minute ausf&uuml;hren zu lassen.
        </div><br>
        <div class="alert alert-info">
            <p>Wenn Sie einen Cron f&uuml;r Ihren Webspace einrichten, dann verwenden Sie bitte folgende URL:</p>
            <input type="text" class="form-control" value="{$cssShopURL}/?cssCron" readable>
            <hr>
            <p>Wenn der Aufruf ohne ausgabe erfolgen soll verwenden Sie bitte folgende URL:</p>
            <input type="text"  class="form-control" value="{$cssShopURL}/?cssCron&quite" >
        </div>

        <div class="input-group mb-3">
            <div class="input-group-prepend" >
                <span class="input-group-text" style="width:200px; white-space:normal; text-align:left">{__('Aktualisierung des Gutschein status erfolgt &uuml;ber')}</span>
            </div>
            <select id="cronJob" name="cronJob" class="form-control">
                <option {if $pluginConfig->cronJob =='W'} selected="selected" {/if} value="W">Worker Abgleich</option>
                <option {if $pluginConfig->cronJob =='C'} selected="selected" {/if} value="C">Cronjob</option>
            </select>
            <div class="input-group-append">
                <span class="input-group-text">
                    <span data-html="true" data-toggle="tooltip" data-placement="left" title=""
                          data-original-title="{__('Wenn Ihr Worker nicht durchgehend aktiv ist, haben Sie die M&ouml;glichkeit, den Status der Gutscheine per Cronjob (Aufgabenplanung) zu aktualisieren.')}">
                        <span class="fas fa-info-circle fa-fw"></span>
                    </span>
               </span>
            </div>
        </div>



    </fieldset>
    {/if}

    {if !empty($Artikel) || 1}
    {* LUWOSOFT *}
    <fieldset class="border p-2 form-group">
        <legend class="w-auto"><img src='{$PluginAdminURL}assets/img/Luwosoft_Logo.png' width=300px" class="img-fluid" alt='{__('Luwosoft unterst&uuml;tzung')}'></legend>

        <div class="input-group mb-3">
            <div class="input-group-prepend">
                <span class="input-group-text" style="width:200px; white-space:normal; text-align:left">{__('KASSENID<br>(Je Zugriffsberechtigung eine Zeile)')}</span>
            </div>
            {assign var=height value=count(explode("\n",$pluginConfig->KASSENID))}
            <textarea style="min-height:{($height*25)+25}px" name="KASSENID" class="form-control"  placeholder="{__('je Zeile eine Kassen ID')}">{$pluginConfig->KASSENID}</textarea>
            <div class="input-group-append">
                <span class="input-group-text">
                    <span data-html="true" data-toggle="tooltip" data-placement="left" title=""
                          data-original-title="{__('Token in Verbindung mit dem Kassensystem LS-POS zu verwenden.')}">
                        <span class="fas fa-info-circle fa-fw"></span>
                    </span>
               </span>
            </div>
        </div>

        <div class="input-group mb-3" id="luwo">
            <div class="input-group-prepend">
                <span class="input-group-text" style="width:200px; white-space:normal; text-align:center">{__('LS-POS Daten')}<br>
                        <img id="qrimage" onclick="cssClipboard($(this).data('qr'),true);"  data-qr='{$qr_lspos}' src="data:image/png;base64,{$QRCode}" class="qrcode img-fluid" style="margin:auto; cursor:pointer">
                    <br>{__('QR-Code scannen oder klicken')}
                </span>
            </div>
            <span class="form-control" style="height:auto;"><p style="padding:5px 10px" class="text-left">
                {__('Mit dem Modul &quot;Shopgutscheine&quot; haben Sie die M&ouml;glichkeit, Gutscheine sowohl im Webshop als auch lokal an Ihrer
                Kasse auszugeben und einzul&ouml;sen. Shopgutscheine (SGS) k&ouml;nnen lokal gedruckt werden oder auch per eMail zu einem festgelegten
                Termin an den Gutscheinempf&auml;nger verschickt werden. Shopgutscheine k&ouml;nnen im Gegensatz zu herk&ouml;mlichen Gutscheinen
                partiell eingel&ouml;st und auch wieder aufgewertet werden...')}</p>
            <p class="text-center"><a href="https://www.luwosoft-shop.de/LSPOS-Modul-Shopgutscheine?ref=css-umsetzung" target="_blank" class="btn btn-primary" style="margin:auto; width:80%">{__('Mehr &uuml;ber LS-POS')}</a></p>
            <hr>
            <div style="">
                <p style="padding:0 10px;"><b>{__('Token zum kopieren')} <i onclick="cssClipboard('{$pluginConfig->TOKEN}',false);" style=" cursor:pointer;" class="fa fa fa-files-o"></i></b></p>
                <input name="TOKEN" id="TOKEN" class="form-control hidden" value="{$pluginConfig->TOKEN}">
                <input onclick="cssClipboard('{$pluginConfig->TOKEN}',false);"  style="border:0; background-color:#9999; color:color:#000; cursor:pointer;" readable name="readableToken" class="form-control" value="{$pluginConfig->TOKEN}">
            </div>

            </span>
            <div class="input-group-append">
                <span class="input-group-text">
                    <span data-html="true" data-toggle="tooltip" data-placement="left" title=""
                          data-original-title="{__('Token in Verbindung mit dem Kassensystem LS-POS zu verwenden.')}">
                        <span class="fas fa-info-circle fa-fw"></span>
                    </span>
               </span>
            </div>
        </div>
    </fieldset>

    {* gutscheinoptionen *}
    <fieldset class="border p-2 form-group">
        <legend class="w-auto">{__('Gutschein Konfiguration')}</legend>

        <div class="input-group mb-3">
            <div class="input-group-prepend">
                <span class="input-group-text" style="width:200px; white-space:normal; text-align:left">{__('Gutscheinminimum')}</span>
            </div>
            <input type="text" name="voucherMinPrice" class="form-control" value="{$pluginConfig->voucherMinPrice}" placeholder="{__('20')}">
            <div class="input-group-append">
                <span class="input-group-text">
                    <span data-html="true" data-toggle="tooltip" data-placement="left" title=""
                          data-original-title="{__('Bitte geben Sie den kleinstm&ouml;glichen Gutscheinwert ein.')}">
                        <span class="fas fa-info-circle fa-fw"></span>
                    </span>
               </span>
            </div>
        </div>

        <div class="input-group mb-3">
            <div class="input-group-prepend">
                <span class="input-group-text" style="width:200px; white-space:normal; text-align:left">{__('Gutscheinmaximum')}</span>
            </div>
            <input type="text" name="voucherMaxPrice" class="form-control" value="{$pluginConfig->voucherMaxPrice}" placeholder="{__('200')}">
            <div class="input-group-append">
                <span class="input-group-text">
                    <span data-html="true" data-toggle="tooltip" data-placement="left" title=""
                          data-original-title="{__('Bitte geben Sie den größtmöglichen Gutscheinwert ein.')}">
                        <span class="fas fa-info-circle fa-fw"></span>
                    </span>
               </span>
            </div>
        </div>


        <div class="input-group mb-3">
            <div class="input-group-prepend" >
                <span class="input-group-text" style="width:200px; white-space:normal; text-align:left">{__('Vorselektieren oder sperren der Option')}</span>
            </div>
                <select id="optionPrintOrSend" name="optionPrintOrSend" class="form-control" style="border-radius:0;">
                    <option {if $pluginConfig->optionPrintOrSend =='post'} selected="selected" {/if} value="post">{__('Gutschein per Post')}</option>
                    <option {if $pluginConfig->optionPrintOrSend =='print'} selected="selected" {/if} value="print">{__('Gutschein ausdrucken')}</option>
                    <option {if $pluginConfig->optionPrintOrSend =='email'} selected="selected" {/if} value="email">{__('Gutschein versenden')}</option>
                    <option {if $pluginConfig->optionPrintOrSend =='Oprint'} selected="selected" {/if} value="Oprint">{__('keine E-Mail m&ouml;glich')}</option>
                    <option {if $pluginConfig->optionPrintOrSend =='Oemail'} selected="selected" {/if} value="Oemail">{__('nur E-Mail m&ouml;glich')}</option>
                    <option {if $pluginConfig->optionPrintOrSend =='Opost'} selected="selected" {/if} value="Opost">{__('Gutschein nur per Post möglich')}</option>
                </select>
            <div class="input-group-append">
                <span class="input-group-text">
                    <span data-html="true" data-toggle="tooltip" data-placement="left" title=""
                          data-original-title="{__('Die ausgew&auml;hlte Option bestimmt, welche Funktion im Artikel vorausgew&auml;hlt ist.')}">
                        <span class="fas fa-info-circle fa-fw"></span>
                    </span>
               </span>
            </div>
        </div>


        <div class="input-group mb-3">
            <div class="input-group-prepend" >
                <span class="input-group-text" style="width:200px; white-space:normal; text-align:left">{__('Gutschein Versenden wenn')}</span>
            </div>
                <select id="voucherOrderStatus" name="voucherOrderStatus" class="  form-control" style="border-radius:0;" >
                    <option {if $pluginConfig->voucherOrderStatus =='3'} selected="selected" {/if} value="3">{__('Zahlung erfolgt  (empfohlen)')}</option>
                    <option {if $pluginConfig->voucherOrderStatus =='4'} selected="selected" {/if} value="4">{__('Versandstatus ausgeliefert (nicht empfohlen)')}</option>
                </select>
            <div class="input-group-append">
                <span class="input-group-text">
                    <span data-html="true" data-toggle="tooltip" data-placement="left" title=""
                          data-original-title="{__('Bitte beachten Sie, ausgeliefert bedeutet dass die Bestellung komplett abgeschlossen ist und es auch ein Versanddatum gibt.')}">
                        <span class="fas fa-info-circle fa-fw"></span>
                    </span>
               </span>
            </div>
        </div>

        <div class="input-group mb-3">
            <div class="input-group-prepend" >
                <span class="input-group-text" style="width:200px; white-space:normal; text-align:left">{__('Versand vor Zahlung m&ouml;glich wenn Zahlungsart <small>(nicht Paypal!)</small>')}</span>
            </div>
            <div class="col-xs col-sd col-md" style="padding:0; border-radius:0;">
                <select id="voucherZahlungsarten" name="voucherZahlungsarten[]" class=" select2 custom-select" style="border-radius:0;" multiple>
                    {foreach from=$zahlungsarten item=zahlungsart name="zahlungsartenauswahl"}
                        <option value="{$zahlungsart['kZahlungsart']}" {if in_array($zahlungsart['kZahlungsart'],$pluginConfig->voucherZahlungsarten)} selected {/if} >{$zahlungsart['cName']}</option>
                    {/foreach}
                </select>
            </div>
            <div class="input-group-append">
                <span class="input-group-text">
                    <span data-html="true" data-toggle="tooltip" data-placement="left" title=""
                          data-original-title="{__('Bitte wählen Sie aus, bei welchen Zahlungsarten der GS vor der Bezahlung versendet werden soll (z.B.: Eigener Rechnungskauf) Drittanbieter gehören  nicht dazu.')}">
                        <span class="fas fa-info-circle fa-fw"></span>
                    </span>
               </span>
            </div>
        </div>

        <div class="input-group mb-3">
            <div class="input-group-prepend" >
                <span class="input-group-text" style="width:200px; white-space:normal; text-align:left">{__('G&uuml;ltigkeit in Jahren')} {$pluginConfig->voucherValidity_text}</span>
            </div>
            <div class="col-xs col-sd col-md" style="padding:0; border-radius:0;">
                <select id="voucherValidity" name="voucherValidity" class="form-control" style="border-radius:0;">
                    {if !isset($count) } {assign var='count' value=0}{/if}
                    <option class="{$pluginConfig->voucherValidity_text}" {if strval($pluginConfig->voucherValidity_text) == strval($count)} selected="selected" {/if} value="{$count}">1 {__('Jahr')}</option>
                    <option {if  strval($pluginConfig->voucherValidity_text) == '0_1'} selected="selected" {/if} value="0_1">{__('1 Jahr ab Ende des Jahres')}</option> {for $count=2 to 10}
                        <option {if strval($pluginConfig->voucherValidity_text) == strval($count)} selected="selected" {/if} value="{$count}">{$count} {__('Jahre')}</option>
                        <option {if strval($pluginConfig->voucherValidity_text) == strval($count|cat:"_1")} selected="selected" {/if} value="{$count}_1">{$count} {__('Jahre ab Ende des Jahres')}</option> {/for}
                </select></div>
            <div class="input-group-append">
                <span class="input-group-text">
                    <span data-html="true" data-toggle="tooltip" data-placement="left" title=""
                          data-original-title="{__('Bitte beachten Sie die gesetzlichen Vorschriften in Ihrem Land, im Bezug auf die mindest Laufzeit Ihrer Gutscheine.')}">
                        <span class="fas fa-info-circle fa-fw"></span>
                    </span>
               </span>
            </div>
        </div>

        <div class="input-group mb-3">
            <div class="input-group-prepend" >
                <span class="input-group-text" style="width:200px; white-space:normal; text-align:left">{__('Gratisartikel in Verbindung mit Gutschein ist')}</span>
            </div>
            <select id="freeArticle" name="freeArticle" class="form-control">
                <option {if $pluginConfig->freeArticle =='N'} selected="selected" {/if} value="N">{__('nicht erlaubt')}</option>
                <option {if $pluginConfig->freeArticle =='Y'} selected="selected" {/if} value="Y">{__('erlaubt</option')}</option>
            </select>
            <div class="input-group-append">
                <span class="input-group-text">
                    <span data-html="true" data-toggle="tooltip" data-placement="left" title=""
                          data-original-title="{__('Gratisartikel d&uuml;rfen in Verbindung mit dem Gutscheinkauf den Warenkorb gelegt werden.')}">
                        <span class="fas fa-info-circle fa-fw"></span>
                    </span>
               </span>
            </div>
        </div>

        <div class="input-group mb-3">
            <div class="input-group-prepend" >
                <span class="input-group-text" style="width:200px; white-space:normal; text-align:left">{__('Gutscheincode erm&ouml;glicht Gutscheinkauf')}</span>
            </div>
            <select id="couponCodeForVoucher" name="couponCodeForVoucher" class="form-control">
                <option {if $pluginConfig->couponCodeForVoucher =='N'} selected="selected" {/if} value="N">{__('Nein')}</option>
                <option {if $pluginConfig->couponCodeForVoucher =='Y'} selected="selected" {/if} value="Y">{__('Ja')}</option>
            </select>
            <div class="input-group-append">
                <span class="input-group-text">
                    <span data-html="true" data-toggle="tooltip" data-placement="left" title=""
                          data-original-title="{__('Bestimmt, ob ein Gutschein mithilfe eines Gutscheincodes gekauft werden kann.')}">
                        <span class="fas fa-info-circle fa-fw"></span>
                    </span>
               </span>
            </div>
        </div>

        <div class="input-group mb-3">
            <div class="input-group-prepend" >
                <span class="input-group-text" style="width:200px; white-space:normal; text-align:left">{__('Gutschein in Verbindung mit Coupon erlaubt')}</span>
            </div>
            <select id="canUseCoupon" name="canUseCoupon" class="form-control">
                <option {if $pluginConfig->canUseCoupon =='A'} selected="selected" {/if} value="A">{__('Coupons grundsätzlich erlauben')}</option>
                <option {if $pluginConfig->canUseCoupon =='V'} selected="selected" {/if} value="V">{__('Versand Coupons erlauben')}</option>
                <option {if $pluginConfig->canUseCoupon =='N'} selected="selected" {/if} value="N">{__('Neukunden und Versand Coupons erlauben')}</option>
            </select>
            <div class="input-group-append">
                <span class="input-group-text">
                    <span data-html="true" data-toggle="tooltip" data-placement="left" title=""
                          data-original-title="{__('Ein Gutschein kann nicht in Verbindung mit einem Coupon gekauft werden, der Coupon wird aus dem Warenkorb entferernt sofern vorhanden. Versand Coupons werden nicht entfernt.')}">
                        <span class="fas fa-info-circle fa-fw"></span>
                    </span>
               </span>
            </div>
        </div>


    </fieldset>


    {* Template *}
    <fieldset class="border p-2 form-group">
        <legend class="w-auto">{__('Template Konfiguration')}</legend>

        <div class="input-group mb-3">
            <div class="input-group-prepend" >
                <span class="input-group-text" style="width:200px; white-space:normal; text-align:left">{__('Template Framework')}</span>
            </div>
            <select id="framework" name="framework" class="form-control">
                <Option {if $pluginConfig->framework=='B3'} selected {/if} value="B3">{__('Bootstrap 3 (z.B. EVO)')}</Option>
                <Option {if $pluginConfig->framework=='B4'} selected {/if} value="B4">{__('Bootstrap 4 (z.B. NOVA)')}</Option>
                {if isset($bHasCustom)}
                    <Option {if $pluginConfig->framework=='custom'} selected {/if} value="custom">{__('Custom (Ihre eigene updatesichere Pluginmodifikation)')}</Option>
                {/if}
            </select>
            <div class="input-group-append">
                <span class="input-group-text">
                    <span data-html="true" data-toggle="tooltip" data-placement="left" title=""
                          data-original-title="{__('Hier geben Sie an, welches Framework Ihr Template nutzt, Wenn Sie es nicht wissen, fragen Sie bitte den Hersteller des Templates. Sie haben die Möglichkeit ein custom Verzeichnis anzulegen in dem alle Dateien des B4 Verzeichisses liegen, dort können Sie die tpl Dateien nach bedarf updatesicher anpassen. Das CUstom Verzeichnis ist erst auswählbar wenn es vorhanden ist.')}">
                        <span class="fas fa-info-circle fa-fw"></span>
                    </span>
               </span>
            </div>
        </div>

        <div class="input-group mb-3" style="margin-top:-17px;">
            <div class="input-group-prepend">
                <span class="input-group-text" style="width:200px; white-space:normal; text-align:left">{__('Default Konfiguration Templates')}</span>
            </div>
            <button  data-template="nova" class="form-control btn btn-default" type="button">Nova</button>
            <button  data-template="snackys" class="form-control btn btn-default" type="button">Snackys</button>
            <button  data-template="salepix" class="form-control btn btn-default" type="button">Salepix</button>
            <button  data-template="admorris" class="form-control btn btn-default" type="button">Admorris</button>
            <button  data-template="easytemplate" class="form-control btn btn-default" type="button">easytemplate</button>
            <div class="input-group-append">
                <span class="input-group-text">
                    <span data-html="true" data-toggle="tooltip" data-placement="left" title=""
                          data-original-title="{__('Hier legen die Selectoren fest.')}">
                        <span class="fas fa-info-circle fa-fw"></span>
                    </span>
               </span>
            </div>
        </div>


        <div class="input-group mb-3">
            <div class="input-group-prepend" >
                <span class="input-group-text" style="width:200px; white-space:normal; text-align:left">{__('Bildgröße der Detailseite')}</span>
            </div>
            <select id="voucherImagesize" name="voucherImagesize" class="form-control">
                <option {if $pluginConfig->voucherImagesize =='bilder_artikel_mini_breite'} selected="selected" {/if} value="bilder_artikel_mini_breite">Mini</option>
                <option {if $pluginConfig->voucherImagesize =='bilder_artikel_klein_breite'} selected="selected" {/if} value="bilder_artikel_klein_breite">Klein</option>
                <option {if $pluginConfig->voucherImagesize =='bilder_artikel_normal_breite'} selected="selected" {/if} value="bilder_artikel_normal_breite">Normal</option>
                <option {if $pluginConfig->voucherImagesize =='bilder_artikel_gross_breite'} selected="selected" {/if} value="bilder_artikel_gross_breite">Gro&szlig;</option>
            </select>
            <div class="input-group-append">
                <span class="input-group-text">
                    <span data-html="true" data-toggle="tooltip" data-placement="left" title=""
                          data-original-title="{__('Geben Sie hier das gewünschte Format an.')}">
                        <span class="fas fa-info-circle fa-fw"></span>
                    </span>
               </span>
            </div>
        </div>






        <div class="input-group mb-3">
            <div class="input-group-prepend">
                <span class="input-group-text" style="width:200px; white-space:normal; text-align:left">{__('Selector des Galerie Bereiches (#gallery)')}</span>
            </div>
            <input type="text" name="gallerySelector" class="form-control" value="{$pluginConfig->gallerySelector}" placeholder="{__('#gallery (oder &auml;hnliches)')}">
            <div class="input-group-append">
                <span class="input-group-text">
                    <span data-html="true" data-toggle="tooltip" data-placement="left" title=""
                          data-original-title="{__('Bitte geben Sie den Selector ein wo das Artikelbild angezeigt wird, dieser Bereich wird durch das Plugin im Gutscheinartikel ersetzt.')}">
                        <span class="fas fa-info-circle fa-fw"></span>
                    </span>
               </span>
            </div>
        </div>


        <div class="input-group mb-3">
            <div class="input-group-prepend">
                <span class="input-group-text" style="width:200px; white-space:normal; text-align:left">{__('Selector des Bereiches f&uuml;r die Varianten')}</span>
            </div>
            <input type="text" name="variationsSelector" class="form-control" value="{$pluginConfig->variationsSelector}" placeholder="{__('.variations .col-xs-12 (oder &auml;hnliches)')}">
            <div class="input-group-append">
                <span class="input-group-text">
                    <span data-html="true" data-toggle="tooltip" data-placement="left" title=""
                          data-original-title="{__('Bitte geben Sie den Selector ein wo die Variantenauswahl erfolgt, dieser Bereich wird durch das Plugin im Gutscheinartikel ersetzt.')}">
                        <span class="fas fa-info-circle fa-fw"></span>
                    </span>
               </span>
            </div>
        </div>

        <div class="input-group mb-3">
            <div class="input-group-prepend">
                <span class="input-group-text" style="width:200px; white-space:normal; text-align:left">{__('Selector f&uuml;r die Anzeige des Preises')}</span>
            </div>
            <input type="text" name="priceWrapperSelector" class="form-control" value="{$pluginConfig->priceWrapperSelector}" placeholder="{__('.price (oder &auml;hnliches)')}">
            <div class="input-group-append">
                <span class="input-group-text">
                    <span data-html="true" data-toggle="tooltip" data-placement="left" title=""
                          data-original-title="{__('Bitte geben Sie den Selector ein wo der Artikelpreis angezeigt wird, dieser Bereich wird durch das Plugin im Gutscheinartikel ersetzt.')}">
                        <span class="fas fa-info-circle fa-fw"></span>
                    </span>
               </span>
            </div>
        </div>


        <div class="input-group mb-3">
            <div class="input-group-prepend">
                <span class="input-group-text" style="width:200px; white-space:normal; text-align:left">{__('Selector f&uuml;r Vorschau und Gallerie Buttons')}</span>
            </div>
            <input type="text" name="voucherButtonSelector" class="form-control" value="{$pluginConfig->voucherButtonSelector}" placeholder="{__('#add-to-cart (oder &auml;hnliches)')}">
            <div class="input-group-append">
                <span class="input-group-text">
                    <span data-html="true" data-toggle="tooltip" data-placement="left" title=""
                          data-original-title="{__('Bitte geben Sie den Selector ein wo die Buttons für die Vorschau bzw. Kartenauswahl angezeigt werden sollen.')}">
                        <span class="fas fa-info-circle fa-fw"></span>
                    </span>
               </span>
            </div>
        </div>

        <div class="input-group mb-3">
            <div class="input-group-prepend" >
                <span class="input-group-text" style="width:200px; white-space:normal; text-align:left">{__('Einfügemethode f&uuml;r Vorschau und Gallerie Buttons')}</span>
            </div>
            <select id="voucherButtonPosition" name="voucherButtonPosition" class="form-control">
                <Option {if $pluginConfig->voucherButtonPosition=='off'} selected {/if} value="off">{__('Deaktiviert')}</Option>
                <Option {if $pluginConfig->voucherButtonPosition=='prepend'} selected {/if} value="prepend">{__('Am Anfang des Elements')}</Option>
                <Option {if $pluginConfig->voucherButtonPosition=='append'} selected {/if} value="append">{__('Am Ende des Elements')}</Option>
                <Option {if $pluginConfig->voucherButtonPosition=='before'} selected {/if} value="before" >{__('vor dem Element')}</Option>
                <Option {if $pluginConfig->voucherButtonPosition=='after'} selected {/if} value="after" >{__('Nach dem Element')}</Option>
                <Option {if $pluginConfig->voucherButtonPosition=='html'} selected {/if} value="html" >{__('Inhalt des Elements ersetzen')}</Option>
            </select>
            <div class="input-group-append">
                <span class="input-group-text">
                    <span data-html="true" data-toggle="tooltip" data-placement="left" title=""
                          data-original-title="{__('Hier legen die Einfügemethode fest oder deaktivieren diese Option.')}">
                        <span class="fas fa-info-circle fa-fw"></span>
                    </span>
               </span>
            </div>
        </div>


        <div class="input-group mb-3">
            <div class="input-group-prepend">
                <span class="input-group-text" style="width:200px; white-space:normal; text-align:left">{__('Selector für die Codeeingabe im Checkout')}</span>
            </div>
            <input type="text" name="voucherGsCodeSelector" class="form-control" value="{$pluginConfig->voucherGsCodeSelector}" placeholder="{__('#complete_order, #fieldset-payment (oder &auml;hnliches)')}">
            <div class="input-group-append">
                <span class="input-group-text">
                    <span data-html="true" data-toggle="tooltip" data-placement="left" title=""
                          data-original-title="{__('Bitte geben Sie den Selector ein wo die Codeeingabe angezeigt werden sollen.')}">
                        <span class="fas fa-info-circle fa-fw"></span>
                    </span>
               </span>
            </div>
        </div>

        <div class="input-group mb-3">
            <div class="input-group-prepend" >
                <span class="input-group-text" style="width:200px; white-space:normal; text-align:left">{__('Einfügemethode f&uuml;r Codeeingabe im Checkout')}</span>
            </div>
            <select id="voucherGsCodePosition" name="voucherGsCodePosition" class="form-control">
                <Option {if $pluginConfig->voucherGsCodePosition=='off'} selected {/if} value="off">{__('Deaktiviert')}</Option>
                <Option {if $pluginConfig->voucherGsCodePosition=='prepend'} selected {/if} value="prepend">{__('Am Anfang des Elements')}</Option>
                <Option {if $pluginConfig->voucherGsCodePosition=='append'} selected {/if} value="append">{__('Am Ende des Elements')}</Option>
                <Option {if $pluginConfig->voucherGsCodePosition=='before'} selected {/if} value="before" >{__('vor dem Element')}</Option>
                <Option {if $pluginConfig->voucherGsCodePosition=='after'} selected {/if} value="after" >{__('Nach dem Element')}</Option>
                <Option {if $pluginConfig->voucherGsCodePosition=='html'} selected {/if} value="html" >{__('Inhalt des Elements ersetzen')}</Option>
            </select>
            <div class="input-group-append">
                <span class="input-group-text">
                    <span data-html="true" data-toggle="tooltip" data-placement="left" title=""
                          data-original-title="{__('Hier legen die Einfügemethode fest oder deaktivieren diese Option.')}">
                        <span class="fas fa-info-circle fa-fw"></span>
                    </span>
               </span>
            </div>
        </div>


    </fieldset>





    <fieldset class="border p-2 form-group">
        <legend class="w-auto">{__('Zusätzliche Styles/ JavaScript')}</legend>



        <div class="input-group mb-3">
            <div class="input-group-prepend">
                <span class="input-group-text" style="width:200px; white-space:normal; text-align:left">{__('Styles')}</span>
            </div>
            <div class="input-group-append" style="flex: 1 0 60%;">
                <textarea  style="min-height:60px;" class="form-control css-codemirror sass" id="css" name="css">{$pluginConfig->css}</textarea>
            </div>
        </div>

        <div class="input-group mb-3">
            <div class="input-group-prepend">
                <span class="input-group-text" style="width:200px; white-space:normal; text-align:left">{__('JavaScript')}</span>
            </div>
            <div class="input-group-append" style="flex: 1 0 60%;">
                <textarea  style="min-height:60px;" class="form-control css-codemirror JavaScript" id="js" name="js">{$pluginConfig->js}</textarea>
            </div>
        </div>

    </fieldset>

{/if}

<div class="save-wrapper">
    <div class="ml-auto col-sm-6 col-xl-auto">
        <button name="a" type="submit" value="" class="btn btn-outline-primary btn-block save">
            <i class="fas fa-save"></i>&nbsp;{__('Konfiguration speichern')}
        </button>
    </div>
</div>
</form>


<div id="gsWarning" class="css-modal css-admin-modal modal fade" role="dialog">
    <div class="modal-dialog modal-lg">
        <!-- Modal content-->
        <div class="modal-content alert alert-warning">
            <div class="modal-header  alert alert-danger">
                <button type="button" class="close" data-dismiss="modal"><i class="fas fa-close"></i></button>
                <h4 class="modal-title text-center" style="width:100%">Achtung</h4>
            </div>
            <div class="modal-body">
                <p>Bitte geben Sie die Artikelnummer. Ihres angelegten Gutscheinartikels ein, beachten Sie dabei die Gro&szlig;- und Kleinschreibung.</p>
                <p>Dies ist wichtig, Da Sie die Variationsfelder des Artikels konfigrieren müssen.</p>
            </div>

            <p class="modal-footer text-right">
            <p class="text-right" ><button type="button" style="margin-right:10px;" class="btn btn-default" data-toggle="modal" data-target="#gsWarning">schließen</button></p>
        </div>
    </div>
</div>


<script>
    function cssClipboard(str,binaer) {
        ta = document.createElement('textarea');
        ta.value = str;
        document.body.appendChild(ta);
        ta.select();
        document.execCommand('copy');
        document.body.removeChild(ta);
        if(binaer==true){
            $.notify("Die Daten befinden sich nun im Zwischenspeicher",{ type: "success",offset:0 });
        } else{
            $.notify("'" + str + "' befindet sich nun im Zwischenspeicher",{ type: "success",offset:0 });
        }
    };
    {if empty($Artikel)}
        jQuery(document).ready(function() {
          $("#gsWarning").modal("show");
        });
    {/if}
</script>

